import pytest

from ids_list import get_ids
import path_setting
from in_common.base_request import BaseRequest
from all_backend_api.oneimage_request import oneimage_request


class TestShareV4:
    data = BaseRequest().api_load(path_setting.ONEIMAGE_SHARE_V4_DATA)
    sharev4_case, sharev4_data = get_ids(data, "share_v4")

    @pytest.mark.parametrize("param",sharev4_data,ids=sharev4_case)
    def test_share_v4(self,param):
        r = oneimage_request().share_v4(param["version"], param["face_id"])
        if r["error"] == 0:
            data = r.get("data")
            assert 1 == 1


